maliit-keyboard (2.3.1-6+b1+droidian2+git20260410152208.6e6a5ba.droidian) trixie; urgency=medium

  * build: drop noto patch to fix Qt 6.10 build

 -- Alexander Rutz <alex@familyrutz.com>  Fri, 10 Apr 2026 09:22:08 -0600

maliit-keyboard (2.3.1-6+b1+droidian1) next; urgency=medium

  * cmake: install desktop file to autostart

 -- Alexander Rutz <alex@familyrutz.com>  Mon, 14 Apr 2025 15:32:56 -0600

maliit-keyboard (2.3.1-6+b1+droidian0) next; urgency=medium

  [ Alexander Rutz ]
  * Merge remote-tracking branch 'upstream/master' into droidian
  * Merge remote-tracking branch 'cordlandwehr/qt6-support' into droidian
  * [debian] Drop old packaging
  * Merge debian packaging from https://salsa.debian.org/debian/maliit-keyboard
  * [d/control] update for qt6
  * cmake: build with Qt6 by default
  * [d/rules] disable tests
  * keyboard: use layer-shell integration
  * treewide: update paths with qt6 build

  [ Andreas Cord-Landwehr ]
  * Port away from deprecated QStandardPaths::DataLocation
  * Port away from deprecated QRegExp
  * Avoid copies of a QObject
  * Add missing include
  * Remove explicit keyword for default constructor
  * Port CMake for Qt6 compatibility
  * Remove unused build variable
  * Adapt to specific to coinstallable maliit framework with qt6
  * Enable -fPIC for Qt6

  [ Maxime Roussin-Belanger ]
  * Convert QRegExp expressions to QRegularExpression

  [ Sohrab Behdani ]
  * Fixed Persian Keyboard symbols (#224)

  [ Mike ]
  * Fix .укр domain on ru keypad (#221)

  [ Mike Gabriel ]
  * debian/control: Add to B-D: qml-model-qtquick2.
  * debian/rules: Re-enable building and running unit tests.
  * d/changelog: update from Git history
  * prepare new upstream release (v2.2.1.1)
  * New upstream version 2.2.1.1
  * New upstream version 2.2.1.1
  * debian/patches: Drop 1001_typo-fix-in-API.patch again, applied upstream.
  * debian/copyright: Update copyright attributions.
  * debian/copyright: Update auto-generated copyright.in template file.
  * debian/patches: Add patches by Rodney Dawes to fix unit tests. (See: https://github.com/maliit/keyboard/pull/133).
  * upload to unstable (debian/2.2.1.1-1)
  * prepare new upstream release (v2.3.0)
  * New upstream version 2.3.0
  * Update upstream source from tag 'upstream/2.3.0'
  * debian/patches: Drop all pre-2.3.0 patches. Now included in this upstream release.
  * debian/control: Add B-D: qtquickcontrols2-5-dev.
  * debian/copyright: Update auto-generated copyright.in file.
  * debian/control: Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright: Update copyright attributions.
  * lintian: Update overrides for 2.115.
  * debian/control: Add D (maliit-keyboard): qml-module-qtquick2, qml-module-qtquick-controls2, qml-module-qtquick-qtgraphicaleffects and qml-module-qtquick-layouts.
  * d/changelog: update from Git history
  * prepare new upstream release (v2.3.1)
  * New upstream version 2.3.1
  * Update upstream source from tag 'upstream/2.3.1'
  * lintian: Adjust debian/source/lintian-overrides.
  * upload to unstable (debian/2.3.1-1)
  * debian/control: Fix pkg:name in Depends: field. (Closes: #1022230).
  * upload to unstable (debian/2.3.1-2)
  * debian/watch: Adjust watch file to Github release/tag URLs.
  * upload to unstable (debian/2.3.1-3)
  * Revert "Remove unnecessary get-orig-source-target."
  * debian/control: Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/control: Add to R: various hunspell-<lang> packages.
  * debian/copyright: Update copyright attribution for debian/.
  * debian/: Re-add key_tick2_quiet.wav audio file back. It got removed from upstream, but is still referenced in the .gschema file. No adequate replacement in sight. So shipping the .wav file in the DEB package.
  * debian/source/lintian-overrides: Drop doc/keyboard-styling-calc.ods from the list of files with too-long-line-length.
  * upload to unstable (debian/2.3.1-4)
  * debian/patches: Add 2001_use-noto-sans-font.patch. Enforce using Noto Sans for keyboard keys.
  * debian/control: Add to D: field: fonts-noto, fonts-noto-color-emoji.
  * upload to unstable (debian/2.3.1-5)
  * debian/patches/series: Resort patch order.
  * debian/patches: Rebase patches after re-sorted patch order.
  * upload to unstable (debian/2.3.1-6)

  [ Guido Berhoerster ]
  * Add debian/patches/2002_Revert-qml-Use-invisible-components-to-get-colors-fo.patch

  [ Rodney ]
  * Merge pull request #131 from dobey/drop-useless-target
  * Merge pull request #132 from JamiKettunen/fix-non-Pinyin-builds
  * Merge pull request #133 from dobey/enable-tests
  * Merge pull request #136 from dobey/charkey-undefined
  * Merge pull request #137 from dobey/phonenumber-improvement
  * Merge pull request #138 from dobey/plasma-mobile-settings
  * Merge pull request #141 from dobey/onfoo-deprecation
  * Merge pull request #108 from dobey/drop-themes
  * Merge pull request #143 from dobey/release-2-3
  * Merge pull request #148 from dobey/extended-keys-grid
  * Merge pull request #153 from dobey/release-2.3.1
  * Merge pull request #172 from dobey/remove-unused-hidekeylabels
  * Merge pull request #168 from dobey/shiftkey-symbols
  * Merge pull request #169 from dobey/symbolshift-abc
  * Merge pull request #170 from dobey/restore-preedit
  * Merge pull request #166 from dobey/magnifier-size
  * Merge pull request #167 from dobey/charkey-improvements
  * Merge pull request #155 from dobey/ribbonheight-take2
  * Merge pull request #165 from dobey/drop-unused-mousearea
  * Merge pull request #161 from dobey/drop-extra-rect
  * Merge pull request #160 from dobey/emoji-annotation
  * Merge pull request #163 from dobey/emoji-improvements
  * Merge pull request #162 from dobey/prev-shift-state
  * Merge pull request #176 from NorwayFun/master
  * Merge pull request #187 from aleixpol/work/apol/disable-when-hidden
  * Merge pull request #203 from espidev/work/devinlin/vibration
  * Merge pull request #209 from dobey/drop-unused-imports
  * Merge pull request #164 from dobey/simplify-extended-swipe
  * Merge pull request #146 from dobey/drop-presage

  [ Rodney Dawes ]
  * Remove unused and useless install_${PROJECT_NAME} target
  * Remove unused and useless install_${PROJECT_NAME} target
  * cmake: Fix include paths and linking of tests
  * tests: Remove unused utils-gui.cpp
  * tests: Fix build of test-utils
  * tests: Fix build of ut_repeat-backspace
  * tests: Fix build of ut_editor
  * tests: Fix build of ut_word-candidates
  * tests: Fix ut_wordengine test
  * tests: Adjust or skip ut_editor tests to pass
  * cmake: Don't build ut_preedit-string test as it was disabled before
  * tests: Remove obsolete qmake files
  * Remove obsolete unittests.sh script
  * cmake: Enable tests by default now that they can build
  * qml: Fix a possible undefined error in CharKey
  * qml: Improve the PhoneNumber keyboard layout
  * inputmethod: Fix the settings URL for Plasma Mobile kcm renaming
  * qml: Use new syntax for Connections components
  * qml: Fix border color and size on keyboard and popups to not use theme
  * qml: Use Page component for the Keyboard surface
  * qml: Use invisible TextField to get colors for selection mode
  * qml: Fix WordRibbon to follow qqc2 style
  * qml: Fix ActionsToolbar to follow qqc2 style
  * qml: Fix FloatingActionKey to follow qqc2 style for Button
  * qml: Fix keys to have no borders and follow qqc2 style
  * qml: Use an invisible ToolTip to get qqc2 style colors for Magnifier
  * qml: Use invisible components to get colors for ExtendedKeySelector
  * plugins: Fix Japanese layout to use qqc2 style colors too
  * Remove the now unused KeyIcon component and image provider code
  * Remove internal themes support
  * qml: Use correct icon fallbacks in state changes in CharKey
  * qml: Move top border rectangle for Keyboard to optimal place
  * qml: Disable hover on buttons to avoid sticky highlights on touch
  * ja: Fix size of label and icon on some keys
  * plugin: Set icon theme to suru for Suru style, and breeze otherwise
  * qml: Add a neutral background for SpaceKey
  * qml: Make annotations on CharKey appear larger to be more visible
  * Release 2.3.0
  * qml: Fix extended keys to have uniform width in popover
  * qml: Render the button as down when CharKey is pressed
  * pinyin: Check the correct variable from the change in ac15e40bec0
  * qml: Implement a grid layout for longer extended keys lists
  * Release 2.3.1
  * qml: Adjust word ribbon height to be less dependent on device units
  * LanguageKey: Set annotation property, not extended
  * SymbolShiftKey: Preserve previous shift state when leaving symbols mode
  * emoji: Use larger font size on emoji keys
  * emoji: Disable magnifier on emoji keys
  * ExtendedKeysSelector: Remove unused MouseArea component
  * magnifier: Adjust dimensions to match key width
  * CharKey: Set display mode to icon if label is empty, otherwise to text
  * CharKey: Fix annotation character font size to avoid overlapping label
  * ShiftKey: Ignore long press and double tap in symbols mode
  * SymbolShiftKey: Use ABC as label when in symbols mode
  * westernsupport: Enable preedit restoration when pressing backspace
  * qml: Remove now useless hideKeyLabels property
  * Keyboard: Remove needless visible rect change for extended keys popup
  * qml: Simplify extended keys swipe logic, and move to selector component
  * Remove text prediction feature for now
  * Remove ancient unused GraphicalEffects imports

  [ Fran Pacheco ]
  * Update eo.po (#204)

  [ EspiDev ]
  * Change vibration duration to 10ms

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [skip ci] Move to Droidian rolling

  [ Aleix Pol ]
  * Make sure PressArea gets reset when the keyboard hides

  [ Gunnar Hjalmarsson ]
  * Build with libpinyin15-dev instead of libpinyin13-dev
  * NMU to unstable (debian/2.3.1-3.1)

  [ Jelmer Vernooĳ ]
  * Merge branch 'lintian-fixes' into 'master'

  [ Debian Janitor ]
  * Remove unnecessary get-orig-source-target.

  [ NorwayFun ]
  * Update Georgian translation

  [ Bhushan Shah ]
  * Merge pull request #151 from dobey/fix-pinyin-crash
  * Merge pull request #147 from dobey/extended-keys-width
  * Merge pull request #150 from dobey/render-pressed

  [ Jami Kettunen ]
  * Fix builds without Pinyin

 -- Alexander Rutz <alex@familyrutz.com>  Fri, 28 Mar 2025 10:22:59 -0600

maliit-keyboard (2.2.1.1-1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge remote-tracking branch 'neon/Neon/unstable' into bookworm
  * [ci] Added Drone CI configuration

  [ Rodney ]
  * Merge pull request #106 from sunweaver/pr/spelling-fix-in-API
  * Merge pull request #110 from dobey/no-emoji-preload
  * Merge pull request #109 from dobey/fix-ribbon-font
  * Merge pull request #114 from dobey/release-2.2.1
  * Merge pull request #119 from dobey/fix-install
  * Merge pull request #120 from dobey/keyboard-ci
  * Merge pull request #124 from dobey/remove-unused-flags
  * Merge pull request #127 from dobey/fewer-context-props

  [ Rodney Dawes ]
  * qml: Only load emoji keyboard QML when the state is EMOJI
  * qml: Make WordRibbon height proportional to the height of keyboard keys
  * qml: Hide the WordRibbon when in cursor mode as well as emoji mode
  * qml: Make WordRibbon candidate font size proportional to its height
  * qml: Select a minimum width for WordRibbon candidate labels
  * qml: Add a visible separator for WordRibbon canddiates
  * qml: Visual improvements for Keyboard and WordRibbon
  * qml: Simplify ActionsToolbar by removing the need for states
  * Remove the legacy CC-BY 3.0 licensed works
  * Release 2.2.1
  * cmake: Don't try to install empty sounds directory
  * Release 2.2.1.1
  * InputMethodPrivate: Remove unused window flag setting code
  * CI: Add a build rule for keyboard on KDE Neon as a basic check
  * qml: Replace maliit_input_method usage with Keyboard singleton
  * GreeterStatus: Remove unused and extraneous code for greeter status
  * qml: Don't immediately hide keyboard from LanguageMenu
  * qml: Replace maliit_geometry usage with a MaliitGeometry singleton
  * qml: Replace maliit_event_handler with MaliitEventHandler singleton
  * qml: Replace word_ribbon usage with WordModel singleton
  * qml: Replace maliit_word_engine usage with WordEngine singleton
  * src: Rename setCotnextProperties method to registerTypes

  [ Bhushan Shah ]
  * Merge pull request #117 from dobey/drop-ccby-artwork

  [ Mike Gabriel ]
  * Import Upstream version 2.0.0
  * debian/: Move packaging over to the UBports Team's umbrella. Add ITP closure.
  * debian/rules: Add get-orig-source target (for the maintainer's convenience).
  * d/changelog: Bump to upstream version v2.2.0; update from Git history
  * New upstream version 2.2.0
  * Update upstream source from tag 'upstream/2.2.0'
  * debian/control: Improve SYNOPSIS and LONG_DESCRIPTION.
  * debian/control: Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/control: Adjust Vcs-*: fields. Plan is to (co-)maintain the src:pkg with the Qt/KDE team in group Debian on salsa.debian.org.
  * debian/upstream/metadata: Add file. Comply with DEP-12.
  * debian/source/lintian-overrides: Override complains about emoji.js. The file is ok.
  * debian/patches: Add README file explaining our patch naming scheme.
  * debian/rules: Drop DEB_LDFLAGS_MAIN_APPEND variable.
  * debian/rules: Enable all hardening build flags.
  * debian/copyright: Add auto-generated copyright.in file.
  * debian/copyright: Rewrite entire file.
  * debian/control: Switch from Priority: extra to Priority: optional.
  * debian/control: Set Section: field to 'x11' (we should actually have a 'graphical' section or somesuch).
  * debian/rules: Remove extra license files from bin:pkg.
  * debian/source/lintian-overrides: Ignore long lines in COPYING.BSD.
  * debian/copyright.in: Drop some very long lines from this file, manually.
  * debian/patches: Add 1001_typo-fix-in-API.patch. Fix spelling error in API/ABI relevant parts of the code.
  * debian/maliit-keyboard.lintian-overrides: Ignore missing man page for now, reported upstream.
  * debian/source/lintian-overrides: Silence various reports about language-specific files with very long lines.
  * debian/{control,rules}: Make preparations for enabling unit tests (once the issue has been resolved upstream).
  * upload to unstable as NEW (debian/2.2.0-1)
  * {plugins,src}/: Fix typo ('overridden' and 'Overridden' are spelled with double 'd').
  * debian/patches: Update 1001_typo-fix-in-API.patch from upstream PR.

  [ Debian Qt/KDE Maintainers ]
  * Import Debian changes 2.0.0-1~1

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 08 May 2022 00:57:07 +0200

